// Emacs: -*- C++ -*-

//
// $Log:	pointset-utils.h,v $
// Revision 1.3  93/01/20  11:39:47  thoth
// Random pointset is a test of the IA_PSPred template.
// 
// Revision 1.2  92/12/16  14:48:33  thoth
// conversion to IA_ mostly complete
// 
// Revision 1.1  92/09/30  10:53:29  thoth
// Initial revision
// 
//

#ifndef pointset_utils_h
#define pointset_utils_h

#include "IntPointSet.h"

#include "with-ia-pointset.h"
#include "PredicatePS.h"

IntPointSet make_random_pointset(unsigned dimen, unsigned card,
				 int bottom, int top);

class Random_PS:public IA_PSPred<IntPoint> {
    double	density;
  public:
    IA_PSPred<IntPoint> *clone_self() const;
    int contains(const IntPoint &ip) const;
    Random_PS(unsigned dim, double d)
    :IA_PSPred<IntPoint>(dim), density(d) {};
};

#endif
